Hey guys,
I'm looking to assign a custom property to a variable and I have no idea how to do it.
In the 0 custom prop I put a testvalue
Here is the code I have so far:
(vl-load-com)
(defun c:test (/)
(setq acadObject (vlax-get-Acad-Object)
acadDocument (vla-get-Activedocument acadObject)
;; set existing custom properties to dProps
dProps (vlax-get-property acadDocument 'Summaryinfo)
)
;; get the value at the specifed index in the dProps and assign it to location
(vla-GetCustomByIndex dProps 0 "IMPCSVLOC" location)
)
I can't find any documentation on the "vla-GetCustomByIndex" so I don't really know how to use tbh.
I've attached a file that has the custom property setup.
All insight and help is appreciated.
Thanks,
JT
testfile.dwg